[Debian-live-changes] r1478 - dists/trunk/live-initramfs/scripts/live-bottom

Daniel Baumann daniel at alioth.debian.org
Fri May 11 21:08:52 UTC 2007


Author: daniel
Date: 2007-05-11 21:08:52 +0000 (Fri, 11 May 2007)
New Revision: 1478

Added:
   dists/trunk/live-initramfs/scripts/live-bottom/125-checkroot
Modified:
   dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock
   dists/trunk/live-initramfs/scripts/live-bottom/131-timezone
   dists/trunk/live-initramfs/scripts/live-bottom/141-fstab
Log:


Modified: dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock	2007-05-11 21:05:03 UTC (rev 1477)
+++ dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock	2007-05-11 21:08:52 UTC (rev 1478)
@@ -20,11 +20,6 @@
 
 # live-initramfs header
 
-if [ ! -x /root/etc/init.d/postfix ]
-then
-	exit 0
-fi
-
 . /scripts/live-functions
 
 log_begin_msg "Disabling hwclock..."

Added: dists/trunk/live-initramfs/scripts/live-bottom/125-checkroot
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/125-checkroot	2007-05-11 21:05:03 UTC (rev 1477)
+++ dists/trunk/live-initramfs/scripts/live-bottom/125-checkroot	2007-05-11 21:08:52 UTC (rev 1478)
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+. /scripts/live-functions
+
+log_begin_msg "Disabling checkroot..."
+
+# checkroot script
+
+rm -f /root/etc/rcS.d/S*checkroot.sh
+
+log_end_msg


Property changes on: dists/trunk/live-initramfs/scripts/live-bottom/125-checkroot
___________________________________________________________________
Name: svn:executable
   + *

Modified: dists/trunk/live-initramfs/scripts/live-bottom/131-timezone
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/131-timezone	2007-05-11 21:05:03 UTC (rev 1477)
+++ dists/trunk/live-initramfs/scripts/live-bottom/131-timezone	2007-05-11 21:08:52 UTC (rev 1478)
@@ -22,7 +22,7 @@
 
 . /scripts/live-functions
 
-log_begin_msg "Setting timezone..."
+log_begin_msg "Configuring timezone..."
 
 # timezone script
 

Modified: dists/trunk/live-initramfs/scripts/live-bottom/141-fstab
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/141-fstab	2007-05-11 21:05:03 UTC (rev 1477)
+++ dists/trunk/live-initramfs/scripts/live-bottom/141-fstab	2007-05-11 21:08:52 UTC (rev 1478)
@@ -20,18 +20,15 @@
 
 # fstab
 
-FSTAB=/root/etc/fstab
-DESCRIPTION="Configuring fstab..."
-
 . /scripts/live-functions
 
-log_begin_msg "$DESCRIPTION"
+log_begin_msg "Configuring fstab..."
 
-cat > $FSTAB <<EOF
+# fstab script
+
+cat > /root/etc/fstab << EOF
 unionfs / unionfs rw 0 0
 tmpfs /tmp tmpfs nosuid,nodev 0 0
 EOF
 
-rm -f /root/etc/rcS.d/S*checkroot.sh
-
 log_end_msg




More information about the Debian-live-changes mailing list